# $Id: caspar.spec,v 1.4 2007-01-30 13:41:18 joostvb Exp $

# Copyright (C) 2004, 2007 Tilburg University http://www.uvt.nl/
#
# This file is part of caspar.  Caspar is free software; you can redistribute
# it and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.  You should have received a copy of
# the GNU General Public License along with this file (see COPYING).

%define version 20101204
%define name caspar
%define release %mkrel 2

Summary: Makefile snippets for common tasks
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPLv2+
Group:   System/Configuration/Other
URL:     http://mdcc.cx/%{name}/
Source:  http://mdcc.cx/pub/%{name}/%{name}-%{version}.tar.gz
Requires:       make,openssh-clients,rsync
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
Caspar offers Makefile snippets for common tasks, like installing system
configuration files you maintain using CVS, or typesetting LaTeX, DocBook
XML and DocBook SGML documents.  You'll need at least the jade, jadetex and
LaTeX RPM's if you want to do any typesetting.

%prep
%setup -q

%build
%configure
# --docdir=/usr/share/doc/caspar-%{version}  : caspar is buggy
%make

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}/usr/share/doc/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO doc/*
%{_bindir}/c*
%{_mandir}/man*/*
%{_datadir}/%{name}/*
%{_datadir}/sgml/%{name}/*
%{_includedir}/%{name}/mk/*


%changelog

* Sun Jan 08 2012 bcornec <bcornec> 20101204-2.mga2
+ Revision: 193418
- Better fix for group for caspar
- Fix group for caspar
- Use correct mkrel macro for caspar
- Add upstream caspar tool
- Created package structure for caspar.

